GDB (xrefs)

Public Attributes | List of all members
dwo_sections Struct Reference

## Public Attributes
struct dwarf2_section_info | abbrev
struct dwarf2_section_info | line
struct dwarf2_section_info | loc
struct dwarf2_section_info | loclists
struct dwarf2_section_info | macinfo
struct dwarf2_section_info | macro
struct dwarf2_section_info | str
struct dwarf2_section_info | str_offsets
struct dwarf2_section_info | info

## Detailed Description

Definition at line 973 of file dwarf2read.c.

## Member Data Documentation

## ◆ abbrev

struct dwarf2_section_info dwo_sections::abbrev

Definition at line 975 of file dwarf2read.c.

Referenced by create_debug_type_hash_table(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), dwarf2_locate_dwo_sections(), init_cutu_and_read_dies_no_follow(), and read_cutu_die_from_dwo().

## ◆ info

struct dwarf2_section_info dwo_sections::info

Definition at line 984 of file dwarf2read.c.

Referenced by dwarf2_locate_dwo_sections(), and open_and_init_dwo_file().

## ◆ line

struct dwarf2_section_info dwo_sections::line

Definition at line 976 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), and dwarf2_locate_dwo_sections().

## ◆ loc

struct dwarf2_section_info dwo_sections::loc

Definition at line 977 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), cu_debug_loc_section(), and dwarf2_locate_dwo_sections().

## ◆ loclists

struct dwarf2_section_info dwo_sections::loclists

Definition at line 978 of file dwarf2read.c.

Referenced by cu_debug_loc_section().

## ◆ macinfo

struct dwarf2_section_info dwo_sections::macinfo

Definition at line 979 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), and dwarf2_locate_dwo_sections().

## ◆ macro

struct dwarf2_section_info dwo_sections::macro

Definition at line 980 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), and dwarf2_locate_dwo_sections().

## ◆ str

struct dwarf2_section_info dwo_sections::str

Definition at line 981 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), dwarf2_locate_dwo_sections(), and read_str_index().

## ◆ str_offsets

struct dwarf2_section_info dwo_sections::str_offsets

Definition at line 982 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), dwarf2_locate_dwo_sections(), and read_str_index().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c